import React from 'react'
import './LoginPage.css'
import { useState} from 'react'
import axios from 'axios'
import imgLogo from '/src/assets/logo.png'
import { useNavigate } from "react-router-dom";


const LoginPage = () => {

  const [email, setEmail] = useState("");
  const [password, setPassword] = useState("");
  const [error, setError] = useState("");
  const navigate = useNavigate();

  const handleSubmit = async (e) => {
    e.preventDefault();
    try {
      const response = await axios.post("http://localhost:8080/api/auth/login", {
        email,
        password,
      });
      localStorage.setItem("token", response.data.token);
      localStorage.setItem("email", email);
      navigate("/dashboard");
    } catch (err) {
      setError("Credenciales incorrectas");
    }
  };



  return (
    <section className='LoginPage-container'>

        <div className='Login-form-container'>
          
          <div className='login-header'>
            <div>
              <img src={imgLogo} alt="" />
            </div>

            <div className='span-container-icon'>
            <svg width="22px" height="22px" viewBox="0 0 24 24" fill="#737373" xmlns="http://www.w3.org/2000/svg">
            <path d="M20 12H4M4 12L10 18M4 12L10 6" stroke="#737373" strokeWidth="2" strokeLinecap="round" strokeLinejoin="round"/>
            </svg>
              <span>ir a inicio</span>
            </div>
          </div>

          
          <div className='login-content'>

              <div className='login-content-container'>
                  <div>
                    <h3>Bienvenido de nuevo</h3>
                    <p>Introduce tu usuario y contraseña para acceder a tu cuenta</p>
                  </div>
                  <div className='login-formulario'>
                    <form onSubmit={handleSubmit}>
                    <label htmlFor="">Email</label>
                    <input 
                    type="email" 
                    placeholder='introduce tu Email*'
                    value={email}
                    onChange={(e) => setEmail(e.target.value)}
                    required
                    />
                    <label htmlFor="">Contraseña</label>
                    <input 
                    type="password" 
                    placeholder='introduce tu contraseña*'
                    value={password}
                    onChange={(e) => setPassword(e.target.value)}
                    required
                    />
                    <div className='login-forgot-container'>
                      <div> <span>Recordar conexión</span></div>
                      <div><span>Olvide mi contraseña</span></div>
                    </div>
                    {error && <p className="error-message">{error}</p>}
                    <button type="submit">Iniciar sesión</button>
                    </form>
                  </div>
              </div>

          </div>


        </div>





        <div className='login-img-container'>
        

        </div>
    </section>
  )
}

export default LoginPage